require 'rails_secure_token/version'
require 'securerandom'

module RailsSecureToken

  def self.find_or_create(root_path=Pathname.new('./'))
    token_file = root_path.join '.secret'
    if File.exist? token_file
      # Use the existing token
      File.read(token_file).chomp
    else
      # Generate a new token of 64 random hexadecimal characters and store it in token_file
      token = SecureRandom.hex 64
      File.write token_file, token
      token
    end
  end
end
